import UIKit

class Singleton {
    var data: String
    init(autoClosure: @autoclosure () -> String){
        data = autoClosure()
    }
    
    static var shared: Singleton = Singleton(autoClosure: {"autoclosed singleton"}())
}

Singleton.shared.data

extension Sequence where Element == Int {
    func double() -> [Int]{
        return self.map() {$0 * 2}
    }
}
extension Sequence where Element == Double {
    func double() -> [Double] {
        return self.map() {$0 * 2}
    }
}
extension Sequence where Element == String {
    func double() -> [String] {
        return self.map() {String((Double($0) ?? 0) * 2)}
    }
}

print([1,2,3,4].double())
print([1.1,2.2,3.3,4.4].double())
print(["1.1","2.2","3.3","4.4"].double())
